Loading...
Searching...
No Matches
Dune::PolyhedralGridFamily< dim, dimworld, coord_t >::Traits Struct Reference

## Classes

struct | Codim
struct | Partition

## Public Types

typedef PolyhedralGrid< dim, dimworld, coord_t > | Grid
typedef coord_t | ctype
typedef const Grid * | ExtraData
typedef int | Index
typedef Dune::FieldVector< ctype, dimensionworld > | GlobalCoordinate
typedef PolyhedralGridIntersection< const Grid > | LeafIntersectionImpl
typedef PolyhedralGridIntersection< const Grid > | LevelIntersectionImpl
typedef PolyhedralGridIntersectionIterator< const Grid > | LeafIntersectionIteratorImpl
typedef PolyhedralGridIntersectionIterator< const Grid > | LevelIntersectionIteratorImpl
typedef Dune::Intersection< const Grid, LeafIntersectionImpl > | LeafIntersection
typedef Dune::Intersection< const Grid, LevelIntersectionImpl > | LevelIntersection
typedef Dune::IntersectionIterator< const Grid, LeafIntersectionIteratorImpl, LeafIntersectionImpl > | LeafIntersectionIterator
typedef Dune::IntersectionIterator< const Grid, LevelIntersectionIteratorImpl, LevelIntersectionImpl > | LevelIntersectionIterator
typedef PolyhedralGridIterator< 0, const Grid, All_Partition > | HierarchicIteratorImpl
typedef Dune::EntityIterator< 0, const Grid, HierarchicIteratorImpl > | HierarchicIterator
typedef PolyhedralGridIndexSet< dim, dimworld, ctype > | LeafIndexSet
typedef PolyhedralGridIndexSet< dim, dimworld, ctype > | LevelIndexSet
typedef PolyhedralGridIdSet< dim, dimworld, ctype > | GlobalIdSet
typedef GlobalIdSet | LocalIdSet
typedef Dune::MPIHelper::MPICommunicator | MPICommunicator
using | Communication = Dune::Communication<MPICommunicator>
using | CollectiveCommunication = Dune::Communication<MPICommunicator>
typedef Partition< All_Partition >::LeafGridView | LeafGridView
typedef Partition< All_Partition >::LevelGridView | LevelGridView

## Static Public Attributes

static const int | dimension = dim
static const int | dimensionworld = dimworld

The documentation for this struct was generated from the following file:

- opm/grid/polyhedralgrid/grid.hh